Переполнение буфера в GNU Ed

Дата публикации:
27.10.2008
Дата изменения:
31.10.2008
Всего просмотров:
1674
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU Ed 0.x
Уязвимые версии: GNU Ed версии до 1.0

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции strip_escapes()" в файле signal.c. Удаленный пользователь может с помощью специально сформированного имени файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.gnu.org/software/ed/ed.html

Решение: Установите последнюю версию 1.0 с сайта производителя.

или введите имя

CAPTCHA